Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class FaultCode

    java.lang.Object
      org.apache.sandesha2.wsrm.FaultCode

All Implemented Interfaces:
  IOMRMElement

    public class FaultCode

extends java.lang.Object
implements IOMRMElement

Represents an FaultCode element.

Constructor Summary
`FaultCode(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement sequenceFault)`
`java.lang.String` | `getDetail()`
`org.apache.axiom.om.OMElement` | `getDetailOMElement()`
`org.apache.axiom.om.OMElement` | `getExtendedDetailOMElement()`
`javax.xml.namespace.QName` | `getFaultCode()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setDetail(java.lang.String detail)`
`void` | `setDetailOMElement(org.apache.axiom.om.OMElement detailOMElement)`
`void` | `setExtendedDetailOMElement(org.apache.axiom.om.OMElement detail2)`
`void` | `setFaultCode(javax.xml.namespace.QName faultCode)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement sequenceFault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultCode

    public FaultCode(java.lang.String namespaceValue)
              throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement sequenceFault)
                                   throws org.apache.axiom.om.OMException

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement sequenceFault)
                                              throws org.apache.axiom.om.OMException

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`

### setFaultCode

    public void setFaultCode(javax.xml.namespace.QName faultCode)

### getFaultCode

    public javax.xml.namespace.QName getFaultCode()

### setDetail

    public void setDetail(java.lang.String detail)

### getDetail

    public java.lang.String getDetail()

### getDetailOMElement

    public org.apache.axiom.om.OMElement getDetailOMElement()

### setDetailOMElement

    public void setDetailOMElement(org.apache.axiom.om.OMElement detailOMElement)

### setExtendedDetailOMElement

    public void setExtendedDetailOMElement(org.apache.axiom.om.OMElement detail2)

### getExtendedDetailOMElement

    public org.apache.axiom.om.OMElement getExtendedDetailOMElement()

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.